 :root {
     --blue: #0000FF;
     /* Pure blue */
     --navy-blue: #000080;
     /* Navy blue */
     --white: #FFFFFF;
     /* White */
     --black: #000000;
     /* Black */
     --deep-dark-blue: #001F3F;
     /* Very dark blue */
     --cyan: #00FFFF;
     /* Cyan */
     --cream-warm: #fff8e7;
     --cream-dark: #f0e6d2;
     --cream-warm-dark: #e8d9b5;

 }

 * {
     margin: 0;
     padding: 0;
     box-sizing: border-box;
     font-family: 'poppins', sans-serif;
     a{
        text-decoration: none;
        list-style: none;
     }
 }

 body {
     background-color: var(--deep-dark-blue);
     justify-content: center;
     align-items: center;
     overflow-x: hidden;
 }

 img {
     max-width: 100%;
     height: auto;
 }

 /* header section  */

 .main-header {
     margin-bottom: 0;
     height: 60%;
     width: auto;
     background-image: url('IMG/tree\ bg.jpg');
     background-color: var(--deep-dark-blue);
     background-blend-mode: multiply;
     background-size: contain;

     .navigation-bar {
         margin-left: 20px;
         padding: 0.9rem;
         display: flex;
         justify-content: space-between;
         align-items: center;
     }

     ul {
         display: flex;
         list-style: none;
         color: var(--white);
         padding-right: 10rem;
         font-size: 1.5rem
     }

     ul li {
         margin: 0 1rem;
         padding-right: 1rem;
     }

     ul li a {
         text-decoration: none;
         color: var(--white);
     }

     ul li a:hover {
         color: var(--cyan);
     }

     .logo img {
         height: 5rem;
         width: auto;
     }

 }

 /* header section ends  */

 /* hero section  */
 .section-title {
     margin-top: 0;
     padding: 30px 0 30px;
     margin-bottom: 0;
     justify-content: center;
     position: relative;
     background-color: var(--deep-dark-blue);
     height: 100%;
     width: auto;

     .label-text {
         margin-top: 9rem;
         margin-left: 2rem;

         color: var(--white)
     }

     h3 {
         margin: 0;
         font-size: 3rem;
         color: var(--white);
         margin-bottom: 1.7rem;
         margin-left: 2rem;

     }

     .carousel-inner {
         height: auto;
         width: auto;
         position: relative;
     }

     .carousel img {

         display: block;
         width: 100%;
     }


     .btn {
         margin-top: 1rem;
         margin-bottom: 1rem;
         padding: 0.5rem 1rem;
         font-size: 1.2rem;
         color: var(--white);
         background-color: var(--blue);
         border: 10px solid var(--blue);
         border-radius: 15px;
         cursor: pointer;
     }

     .btn :hover {
         background-color: var(--cyan);
         color: var(--black);
     }
 }

 /* hero section ends  */

 /* servce-section  */

 .service-section {
     margin-top: 0;
     padding-top: 0;
     background: linear-gradient(135deg, var(--white), var(--cream-warm));

 }

 .service-title {
     display: flex;
     margin: 10px 15px 20px;
     align-items: center;
     justify-content: center;
     position: relative;
     color: var(--deep-dark-blue);
     font-size: 3rem;
     font-weight: 500;

 }

 .service-title::before {
     content: "";
     display: block;
     width: 60px;
     height: 4px;
     background: linear-gradient(to right, var(--deep-dark-blue), var(--cyan));
     margin: auto 15px;

 }

 .service-content {

     .bi {
         color: var(--deep-dark-blue);
         font-size: 2rem;

     }

     p {
         margin: 0 15px;
         padding: 0 15px;
         font-size: 1rem;
         font-weight: 400;
         position: relative;
         text-align: center;
     }

     .service-grid {
         display: grid;
         grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
         gap: 30px;
         padding: 40px 20px;
     }

     .service-card {
         height: 350px;
         padding: 20px;
         text-align: center;
         background-color: var(--white);
         border-radius: 12px;
         border-color: var(--deep-dark-blue);
         border-style: solid;
         box-shadow: 0.2px 10px var(--cream-warm-dark);
         transition: transform 0.3s ease, box-shadow 0.3s ease;
     }

     .service-card:hover {
         transform: translateY(-20px);
     }

     /* about section starts here  */
 }

 .about-section {
     margin-top: 0;
     display: flex;
     justify-content: space-between;
     gap: 60px;
     padding: 60px 40px;
     flex-wrap: wrap;

 }

 .about-title {
     margin-top: 10px;
     margin-bottom: 20px;
     font-size: 3rem;
     font-weight: 500;
     text-align: center;
     justify-content: center;
     color: var(--deep-dark-blue);

 }

 .about-title::before {

     content: "";
     display: inline-block;
     width: 60px;
     height: 5px;
     background: linear-gradient(to right, var(--deep-dark-blue), var(--cyan));
     margin: 0 auto 15px;
     vertical-align: middle;
 }

 .about-left {
     flex: 1 1 500px;
 }

 .about-left h3 {
     font-size: 2.5rem;
     color: var(--deep-dark-blue);
     margin: 15px 0 25px;
 }

 .about-left p {
     line-height: 1.7;
     margin-bottom: 20px;
 }

 .about-right {
     flex: 1 1 350px;
     display: flex;
     flex-direction: column;
     padding: 30px;
     gap: 20px;
 }

 .about-right h3 {
     color: var(--deep-dark-blue);
     margin-bottom: 10px;
 }

 .values-box,
 .vision-box {
     background-color: var(--cream-warm);
     padding: 25px;
     border-radius: 12px;
 }

 .values-box ul {
     list-style: none;
     padding: 0;
 }

 .values-box li {
     margin-bottom: 10px;
 }

 .about-left .btn {
     margin: 5px 10px auto;
     padding: 20px 15px 15px;
     color: var(--white);
     background-color: var(--deep-dark-blue);
     border-radius: 15px;
 }


 .about-left .btn:hover {
     color: var(--cyan);
     background-color: #000000;
 }

 .ready {
     margin-top: 0;
     padding: 10px 15px 20px 10px;
     color: var(--white);
     background-color: var(--deep-dark-blue);
     text-align: center;

     h3 {
         font-size: 2.5rem;
         font-weight: 500;
         margin-top: 30px;
     }

     p {
         font-size: 1rem;
         margin-top: 10px;
     }

     .btn {
         color: var(--white);
         background-color: var(--cyan);
         padding: 20px;
         font-size: 1.5rem;
         border-radius: 20px;
     }

     .btn:hover {
         color: var(--cyan);
         background-color: #000000;
     }
 }
/* footer here  */
 .main-footer {
     padding: 90px 0 30px;
     color: var(--white);
     background-image: url(IMG/tree\ bg.jpg);
     background-color: var(--deep-dark-blue);
     background-blend-mode: multiply;
     background-size: contain;
     border-top-left-radius: 60px;
     position: relative;
     width: 100%;
     line-height: 20px;
     margin: 0;

     .logo {
         height: 50px;
         width: auto;
     }

     .row {
         padding: 10px 15px 5px;
         justify-content: flex-start;
         margin: auto;
         gap: 10px;

         display: flex;
     }

     .col {
         padding: 5px;

         p {
             color: var(--cream-warm);
         }

         h5 {
             color: var(--cream-warm);
             font-size: 1.5rem;
         }

         h5:hover {
             color: var(--cyan);
             cursor: pointer;
         }

         ul {
             list-style: none;
             text-decoration: none;
             color: var(--cream-warm);
             padding: 0;
         }

         ul li {
             margin-bottom: 10px;
             padding: 0;
         }

         ul li:hover {
             color: var(--cyan);
             cursor: pointer;
         }

         a {
             list-style: none;
             text-decoration: none;
             color: var(--cream-warm);
         }

         a:hover {
             color: var(--cyan);
             cursor: pointer;
         }

         .bi {
             color: var(--cyan);
             font-size: 1.5rem;
             margin-right: 10px;
         }

         .social-icons i {
             color: var(--cream-warm);
             text-decoration: none;
             font-size: 2.5rem;
             gap: 10px;
         }

         .social-icons i:hover {
             color: var(--cyan);
             cursor: pointer;
         }

         &:nth-child(2),
         &:nth-child(3) {
             flex-basis: -15%;
         }
     }

     hr {
         width: 100%;
         border: 2px solid var(--cyan);
         margin: 20px auto;
     }

     .copyright {
         margin: 0;
         display: flex;
         justify-content: space-between;
         align-items: center;
         padding: 20px 40px;
     }

     .copyright-links {
         display: flex;
         gap: 20px;
     }

     .copyright-links p:hover {
         color: var(--cyan);
         cursor: pointer;
     }

 }

 /* media query start here  */

 @media (max-width:768px) {
     .navigation-bar {
         flex-direction: column;
         padding: 1rem;
     }

     /* navigation ; */
     .navigation-bar ul {
         flex-direction: column;
         gap: 10px;
     }

     /* herotext  */
     .section-title h3 {
         margin-top: 0;
         font-size: 2rem;
     }

     /* about-section  */
     .about-section {
         flex-direction: column;
         padding: 20px;
     }

     .row {
         flex-direction: column;
         padding: 20px;
         gap: 20px;
     }

     .copyright {

         flex-direction: column;
         padding: 20px;
         gap: 20px;
         text-align: center;
     }
 }

 @media (max-width: 480px) {
     .navigation-bar ul {
         font-size: 1rem;
     }

     .section-title h3 {
         font-size: 1.5rem;
     }

     .service-title {
         font-size: 2rem;
     }

     .about-title {
         font-size: 2rem;
     }

     h3 {
         font-size: 1.5rem;
     }
 }

 .little-calc {
     font-size: 1rem;
     display: inline-flex;
     justify-content: flex-start;
     align-items: center;
     gap: 10px;

     #addition {
         size: 8rem;

     }
 }